#
# spec file for package trytond_stock_supply
#
# Copyright (c) 2020 SUSE LLC
# Copyright (c) 2014-2021 Dr. Axel Braun
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%define         majorver 5.0
Name:           trytond_stock_supply
Version:        %{majorver}.6
Release:        bp153.2.12
Summary:        The Stock Supply module for the Tryton ERP system
License:        GPL-3.0-only
Group:          Productivity/Office/Management
URL:            http://www.tryton.org/
Source:         http://downloads.tryton.org/%{majorver}/%{name}-%{version}.tar.gz
# List of additional build dependencies
BuildRequires:  fdupes
BuildRequires:  python3-setuptools
Requires:       trytond
Requires:       trytond_account
Requires:       trytond_party
Requires:       trytond_product
Requires:       trytond_purchase
Requires:       trytond_stock
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
The Stock Supply module adds automatic supply mechanisms and
introduce the concepts of order point and purchase request into the
Tryton application platform.

%prep
%setup -q 

%build
%python3_build   

%install
%python3_install --prefix=%_prefix --root=%buildroot 
%fdupes -s %{buildroot}

%files 
%defattr(-,root,root)
%{python3_sitelib}/*

%changelog
* Sun Jan 24 2021 Axel Braun <axel.braun@gmx.de>
- Adaption to new python-macros
* Wed Jun 17 2020 Axel Braun <axel.braun@gmx.de>
- Version 5.0.6 - Bugfix Release
* Sat Apr  4 2020 Axel Braun <axel.braun@gmx.de>
- Version 5.0.5 - Bugfix Release
* Thu Nov 21 2019 Axel Braun <axel.braun@gmx.de>
- version 5.0.4 (GNU Health 3.6 series)
* Mon Nov 11 2019 Axel Braun <axel.braun@gmx.de>
- Version 4.6.4 - Bugfix Release
* Fri May 17 2019 Axel Braun <axel.braun@gmx.de>
- Version 4.6.3 - Bugfix Release
* Mon Dec 10 2018 Axel Braun <axel.braun@gmx.de>
- Version 4.6.2 - Bugfix Release
* Mon Dec 10 2018 Axel Braun <axel.braun@gmx.de>
- Version 4.2.3 - Bugfix Release
* Wed Aug 22 2018 axel.braun@gmx.de
- Version 4.2.2 - Bugfix Release (boo#1107771)
* Tue Feb  7 2017 axel.braun@gmx.de
- Version 4.2.1
* Mon Nov 28 2016 axel.braun@gmx.de 
- Tryton Release 4.2
* Mon May  2 2016 axel.braun@gmx.de 
- Tryton Release 4.0
* Mon Oct 19 2015 axel.braun@gmx.de 
- Tryton Release 3.8
* Wed Apr 15 2015 axel.braun@gmx.de 
- Tryton Release 3.6
* Fri Oct 25 2013 axel.braun@gmx.de
- new branch 3.0
* Thu May  2 2013 axel.braun@gmx.de
- initial build
